/* Crear una matriz de 20x20 elementos.Escribir un programa
que pida un número (entre 0 y 19) e imprima por pantalla
su tabla de sumar */


#include <stdio.h>
#include <conio.h>
#include <stdlib.h>
#define col 20
#define fil 20
void main(void)
{

int columnas,filas,numero;
int matriz[fil][col];
clrscr();

printf("Escribe un n£mero del 0 al 19:");
scanf("%d",&numero);

for (filas=0;filas<=numero;filas++)
	{

	for (columnas=0;columnas<=numero;columnas++)
		{

			matriz[filas][columnas]=filas+columnas;
		}

	}

for (filas=0;filas<=numero;filas++)
	{

	printf("\n");
	for (columnas=0;columnas<=numero;columnas++)
		{
			printf("\t%2d",matriz[filas][columnas]);

			}
	}


	getch();
}